<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku: Référence de la classe Tools</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Fonctions membres publiques statiques</a> &#124;
<a href="class_tools-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe Tools</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tools_8hpp_source.html">Tools.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Fonctions membres publiques statiques</h2></td></tr>
<tr class="memitem:a5ae7a8455f7e94daecb9ab5ad3968a8c"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tools.html#a5ae7a8455f7e94daecb9ab5ad3968a8c">getStringRepresentationOfColor</a> (<a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> couleur)</td></tr>
<tr class="separator:a5ae7a8455f7e94daecb9ab5ad3968a8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9c129bef7cd0ad3a14f713bfb4e9fda"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tools.html#ab9c129bef7cd0ad3a14f713bfb4e9fda">saveWinner</a> (<a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> couleur)</td></tr>
<tr class="separator:ab9c129bef7cd0ad3a14f713bfb4e9fda"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Classe contenant des méthodes statiques utilisées pour des traitements redondants et/ou généraux dans l'application. </p>
</div><h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a5ae7a8455f7e94daecb9ab5ad3968a8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ae7a8455f7e94daecb9ab5ad3968a8c">&#9670;&nbsp;</a></span>getStringRepresentationOfColor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string Tools::getStringRepresentationOfColor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a>&#160;</td>
          <td class="paramname"><em>couleur</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Récupère la chaîne de caractères représentant à la valeur énumerative d'une couleur. </p><dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">couleur</td><td>La couleur à récupérer, dans son format enum </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>La couleur sous format d'une chaîne de caractères </dd></dl>

</div>
</div>
<a id="ab9c129bef7cd0ad3a14f713bfb4e9fda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9c129bef7cd0ad3a14f713bfb4e9fda">&#9670;&nbsp;</a></span>saveWinner()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool Tools::saveWinner </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a>&#160;</td>
          <td class="paramname"><em>couleur</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>[STAT] Sauvegarde la couleur gagnante en base. </p><dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">couleur</td><td>La couleur à sauvegarder. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>True si la sauvegarde s'est bien déroulée. False le cas échéant. </dd></dl>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir des fichiers suivants :<ul>
<li>src/<a class="el" href="_tools_8hpp_source.html">Tools.hpp</a></li>
<li>src/<a class="el" href="_tools_8cpp.html">Tools.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
